StarObjectSmallGraphicInternal::SdrGraphicMeasure Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicMeasure Class Referencefinal

Internal: virtual class to store a Sdr graphic edge. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicMeasure:

## Public Member Functions
| SdrGraphicMeasure ()
| constructor More...
| ~SdrGraphicMeasure () final
| destructor More...
std::string | print () const final
| basic print function More...
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool) final
| try to send the graphic to the listener More...
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor More...
| ~SdrGraphicText () override
| destructor More...
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation More...
std::string | print () const override
| basic print function More...
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor More...
| ~SdrGraphicAttribute () override
| destructor More...
std::string | print () const override
| basic print function More...
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
| ~SdrGraphic () override
| destructor More...
std::string | getName () const override
| return the object name More...
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object More...
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener More...

## Public Attributes
STOFFVec2i | m_measurePoints [2]
| the points More...
bool | m_overwritten
| overwritten flag More...
std::shared_ptr< StarItem > | m_measureItem
| the measure attributes More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind More...
STOFFBox2i | m_textRectangle
| the text rectangle More...
int | m_textDrehWink
| the dreh wink: rotation? More...
int | m_textShearWink
| the shear wink More...
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object More...
STOFFBox2i | m_textBound
| the text bound More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicMeasure const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic edge.

## Constructor & Destructor Documentation

## ◆ SdrGraphicMeasure()

StarObjectSmallGraphicInternal::SdrGraphicMeasure::SdrGraphicMeasure | ( |  | ) |
| inline

constructor

## ◆ ~SdrGraphicMeasure()

StarObjectSmallGraphicInternal::SdrGraphicMeasure::~SdrGraphicMeasure | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicMeasure::print | ( |  | ) | const
| inlinefinalvirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicText.

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicMeasure::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool |
| ) |  |
| inlinefinalvirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## ◆ updateStyle()

void StarObjectSmallGraphicInternal::SdrGraphicMeasure::updateStyle | ( | StarState & | state,
|  | STOFFListenerPtr | listener
| ) |  | const
| inline

try to update the style

Referenced by send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicMeasure const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

## ◆ m_measureItem

std::shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicMeasure::m_measureItem

the measure attributes

Referenced by StarObjectSmallGraphic::readSVDRObjectMeasure(), and updateStyle().

## ◆ m_measurePoints

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicMeasure::m_measurePoints[2]

the points

Referenced by StarObjectSmallGraphic::readSVDRObjectMeasure(), and send().

## ◆ m_overwritten

bool StarObjectSmallGraphicInternal::SdrGraphicMeasure::m_overwritten

overwritten flag

Referenced by StarObjectSmallGraphic::readSVDRObjectMeasure().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx